<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <title>Curriculum Vitae - Joel Mühlena</title>
</head>

<body>
    <!--Main container of content-->
    <div class="container">
        <!--upper side mostly static-->
        <div class="topSide">
            <div class="leftSide">
                <div class="name">
                    <h1>{{name}}</h1>
                </div>
                <div class="adress">
                    <p>
                        {{#each address}}
                        {{this}}
                        {{#unless @last}}
                        <br />
                        {{/unless}}
                        {{/each}}
                    </p>
                </div>
                <div class="phone">
                    {{phone}}
                </div>
                <div class="email">
                    <p>{{email}}</p>
                </div>
                <div class="web">
                    <a href="https://{{homepage}}">{{homepage}}</a>
                </div>
            </div>
            <div class="image rightSide">
                <img alt="Joel Mühlena" src={{imageLink}} height="300" width="auto" />
            </div>
        </div>

        <!--bottom Side (dynamic)-->
        <div class="bottomSide">
            <!--School Data-->
            <div class="school page">
                <h3 class="secHead">School</h3>
                {{#each education}}
                <div class="school__data">
                    <p class="school__heading">{{schoolName}} / {{description}}</p>
                    <div class="school__info">
                        <p class="school__location">{{schoolLocation}}</p>&bull;
                        <p class="school__date">{{from}} &nbsp; &mdash; &nbsp; {{#if current}} now {{else}} {{to}}
                            {{/if}}
                        </p>&bull;
                        <p>{{graduateState graduated}}</p>
                    </div>
                </div>
                {{/each}}
            </div>

            <!--Experience-->
            <div class="experience page">
                <h3 class="secHead">Experience</h3>
                {{#each experience}}
                <div class="experience__data">
                    <p class="experience__heading">{{companyName}} / {{companyLocation}}</p>
                    <div class="experience__info">
                        <p class="experience__title">{{title}}</p>&bull;
                        <p class="experience__date">{{displayDateFromUTC from}} &nbsp; {{#unless current}}&mdash; &nbsp;
                            {{displayDateFromUTC to}} {{/unless}}
                        </p>&bull;
                        <p class="experience__type">{{experienceType type}}</p>
                    </div>
                    <!--p-- class="experience__description">{{description}}</!--p-->
                </div>
                {{/each}}
            </div>

            <!--Knowledge-->
            <div class="knowledge page">
                <h3 class="secHead">Knowledge</h3><br />
                {{#each skill}}
                <div class="knowledge__data">
                    <h4 class="knowledge__heading">{{skillGroupName}}</h4>
                    <div class="knowledge__innerData">
                        {{#each skills}}
                        <ul class="knowledge__points">
                            <li class="knowledge__points--entry">{{skillName}} - Level: {{level}} {{#if description}} -
                                Description: {{description}} {{/if}}</li>
                        </ul>
                        {{/each}}
                    </div>
                </div>
                {{/each}}
            </div>

            <!--other stuff-->
            <div class="otherStuff page">
                <h3 class="secHead">Other stuff</h3>
                <ul class="otherStuff__points">
                    {{#each other}}
                    <li class="otherStuff__points--entry">{{this}}</li>
                    {{/each}}
                </ul>
            </div>
            <!--hobbies-->
            <div class="hobbies">
                <h3 class="secHead">Hobbies</h3>
                <p>
                    {{#each hobby}}
                    {{this}} {{#unless @last}},{{/unless}}
                    {{/each}}
                </p>
            </div>
        </div>
    </div>
</body>

</html>